var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { ReviewStatus } from "../../../../kit/SessionReviewersPopover";
import { getAuditApprovalTeamNames } from '../../utils';
var filterUsers = function (users, reviewerIds, participantIds) {
    return users
        .filter(function (_a) {
        var id = _a.id;
        return reviewerIds.includes(id);
    })
        .sort(function (a, b) { return a.name.localeCompare(b.name); })
        .map(function (user) { return (__assign(__assign({}, user), { status: Boolean(participantIds === null || participantIds === void 0 ? void 0 : participantIds.includes(user.id))
            ? ReviewStatus.DONE
            : ReviewStatus.PENDING })); });
};
export var getReviewers = function (_a) {
    var users = _a.users, session = _a.session, sme = _a.sme;
    var _b = session.teachingReviewerIds, teachingReviewerIds = _b === void 0 ? [] : _b, _c = session.conversionReviewerIds, conversionReviewerIds = _c === void 0 ? [] : _c, _d = session.teachingReviewParticipantIds, teachingReviewParticipantIds = _d === void 0 ? [] : _d, _e = session.conversionReviewParticipantIds, conversionReviewParticipantIds = _e === void 0 ? [] : _e;
    if (sme && (teachingReviewerIds === null || teachingReviewerIds === void 0 ? void 0 : teachingReviewerIds.length) > 0) {
        return filterUsers(users, teachingReviewerIds, teachingReviewParticipantIds);
    }
    if ((conversionReviewerIds === null || conversionReviewerIds === void 0 ? void 0 : conversionReviewerIds.length) > 0) {
        return filterUsers(users, conversionReviewerIds, conversionReviewParticipantIds);
    }
    return [];
};
export var getAuditReviewData = function (approvalTeams, approvedTeams, rejectedTeams, scopeName) {
    var sortedTeams = approvalTeams.sort(function (a, b) {
        return a.name.localeCompare(b.name);
    });
    if (rejectedTeams.length > 0) {
        var rejectedTeamNames_1 = rejectedTeams.map(function (team) { return team.name; });
        return sortedTeams.map(function (team) { return (__assign(__assign({}, team), { name: getAuditApprovalTeamNames(team.name.replace(scopeName + "_", '')), status: rejectedTeamNames_1.includes(team.name)
                ? ReviewStatus.REFUSED
                : ReviewStatus.SKIPPED })); });
    }
    var approvedTeamsNames = approvedTeams.map(function (team) { return team.name; });
    return sortedTeams.map(function (team) { return (__assign(__assign({}, team), { name: getAuditApprovalTeamNames(team.name.replace(scopeName + "_", '')), status: approvedTeamsNames.includes(team.name)
            ? ReviewStatus.APPROVED
            : ReviewStatus.PENDING })); });
};
