import { OGIT } from '@hiro-graph/client';
import { ContributorColumns, ContributorStats, OgitSession, SessionData, Settings, Team, UserRole } from './types';
export declare const isIeBrowser: () => true | RegExpMatchArray | null;
interface UserProfile extends OGIT.SafeNode {
    'ogit/Auth/Account/displayName': string;
    '/roles'?: string;
}
interface UserAccount extends OGIT.SafeNode {
    'ogit/email': string;
    'ogit/name': string;
    'ogit/status': string;
}
interface UserFromOgit {
    account: UserAccount;
    profile: UserProfile;
    avatar: string;
}
export declare const teamFromOgit: (raw: OGIT.Team) => {
    id: string;
    name: string;
    description: string;
};
export declare const userFromOgit: (raw: UserFromOgit) => {
    id: string;
    name: string;
    status: string;
    email: string;
    roles: string | undefined;
    avatar: string;
};
export declare const sessionFromOgit: (raw: OgitSession) => SessionData;
export declare const getContributorColumns: ({ contributors, maxPerColumn, graphUrl, }: {
    contributors: ContributorStats[];
    maxPerColumn: number;
    graphUrl: string;
}) => ContributorColumns;
export declare const formatNumber: (n: number) => string;
export declare const getApprovalTeams: (settings: Settings, teams: Team[], role: UserRole) => Team[];
export declare const getApprovedTeamsQuery: () => string;
export declare const getRejectedTeamsQuery: () => string;
export declare const getAuditApprovalTeamNames: (teamName: string) => "" | "Security Approval" | "Management Approval" | "Code Approval";
export declare const isEmpty: (value: any) => boolean;
export {};
